Bug 139176 - --import doesn't give any feedback to user, even with --verbose
--import doesn't give any feedback to user, even with --verbose
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 12:46 EST by Toni Willberg
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 16:40:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2004-11-13 12:46:56 EST
rpm-4.3.2-21

# rpm --import 4F2A6FD2.txt
[root@tikru tmp]#

# rpm --verbose --import 4F2A6FD2.txt
[root@tikru tmp]#

Did it fail or not? :)

# rpm -qa gpg-pubkey*
gpg-pubkey-4f2a6fd2-3f9d9d3b
gpg-pubkey-4f2a6fd2-3f9d9d3b
gpg-pubkey-4f2a6fd2-3f9d9d3b
gpg-pubkey-4f2a6fd2-3f9d9d3b
gpg-pubkey-4f2a6fd2-3f9d9d3b

(I tested the --import several times, but should it really import it
many times too?)
Comment 1 Toni Willberg 2004-11-13 12:49:39 EST
Just to clarify: I would like rpm to tell user if the command failed
or not.
Comment 2 Paul Nasrat 2005-11-28 16:40:18 EST
A return code of 0 should indicate --import worked, bad keys will also get an
error message as well as return code of 1.

Unix tradition is to succeed silently which we are doing.
Comment 3 Toni Willberg 2005-11-29 02:56:10 EST
I'd say "worksforme" shouldn't be used with enhancement requests. "wontfix"
would be OK, even if I don't agree with that. :)
Comment 4 Paul Nasrat 2005-11-29 12:26:11 EST
Sure.

Note You need to log in before you can comment on or make changes to this bug.